Summary:        Library for manipulating ID3v1 and ID3v2 tags
Name:           id3lib
Version:        3.8.3
Release:        1.2
License:        LGPLv2+
Group:          System Environment/Libraries
URL:            http://id3lib.sourceforge.net/
Source0:        http://downloads.sourceforge.net/id3lib/%{name}-%{version}.tar.gz
Source1:        id3lib-no_date_footer.hml
Patch0:         id3lib-dox.patch
Patch1:         id3lib-3.8.3-libtool-autofoo.patch.bz2
Patch2:         id3lib-3.8.3-io_helpers-163101.patch
Patch3:         id3lib-3.8.3-mkstemp.patch
Patch4:         id3lib-3.8.3-includes.patch
Patch5:         http://launchpadlibrarian.net/33114077/id3lib-vbr_buffer_overflow.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:  zlib-devel doxygen

%description
This package provides a software library for manipulating ID3v1 and
ID3v2 tags. It provides a convenient interface for software developers
to include standards-compliant ID3v1/2 tagging capabilities in their
applications. Features include identification of valid tags, automatic
size conversions, (re)synchronisation of tag frames, seamless tag
(de)compression, and optional padding facilities. Additionally, it can
tell mp3 header info, like bitrate etc.


%package devel
Summary:        Development tools for the id3lib library
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       zlib-devel

%description devel
This package provides files needed to develop with the id3lib library.


%prep
%setup -q
%patch0 -p0
%patch1 -p1 -b .libtool-autofoo
%patch2 -p1 -b .io_helpers-163101
%patch3 -p1 -b .mkstemp
%patch4 -p1 -b .gcc43
%patch5 -p1
chmod -x src/*.h src/*.cpp include/id3/*.h
sed -i -e 's/\r//' doc/id3v2.3.0.*
sed -i -e 's|@DOX_DIR_HTML@|%{_docdir}/%{name}-devel-%{version}/api|' \
  doc/index.html.in
iconv -f ISO-8859-1 -t UTF8 ChangeLog > tmp; mv tmp ChangeLog
iconv -f ISO-8859-1 -t UTF8 THANKS > tmp; mv tmp THANKS
sed -i -e "s,HTML_FOOTER.*$,HTML_FOOTER = id3lib-no_date_footer.hml,g" doc/Doxyfile.in
cp %{SOURCE1} doc


%build
%configure --disable-dependency-tracking --disable-static
make %{?_smp_mflags} libid3_la_LIBADD=-lz


%install
rm -rf $RPM_BUILD_ROOT __doc
make install DESTDIR=$RPM_BUILD_ROOT
make docs
for i in txt html; do
  iconv -f ISO-8859-1 -t UTF8 doc/id3v2.3.0.$i > tmp; mv tmp doc/id3v2.3.0.$i
done
mkdir -p __doc/doc ; cp -p doc/*.{gif,jpg,png,html,txt,ico,css}  __doc/doc
rm -f $RPM_BUILD_ROOT%{_libdir}/libid3.la


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog HISTORY NEWS README THANKS TODO __doc/doc/
%{_libdir}/libid3-3.8.so.*
%{_bindir}/id3convert
%{_bindir}/id3cp
%{_bindir}/id3info
%{_bindir}/id3tag

%files devel
%defattr(-,root,root,-)
%doc doc/id3lib.css doc/api/
%{_includedir}/id3.h
%{_includedir}/id3/
%{_libdir}/libid3.so


%changelog
* Sun Feb 26 2012 cs@linux-administrator.com
- re-import
